[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldAttributes

Set of TFieldAttribute values.

## Declaration

Source position: db.pas line 130

`type TFieldAttributes = set of (`
`faHiddenCol,` |  | Field is a hidden column (used to construct a unique key)
`faReadonly,` |  | Field is read-only
`faRequired,` |  | Field is required
`faLink,` |  | Field is a link field for other datasets
`faUnNamed,` |  | Field has no original name
`faFixed` |  | Fixed length field
`);`

## Description

TFieldAttributes is used in the TFieldDef.Attributes property to denote additional attributes of the underlying field.

## See also

TFieldDef.Attributes |  | Additional attributes of the field.